Loading...
Searching...
No Matches
casacore::TaQLColNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a select column expression. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLColNodeRep (const TaQLNode &expr, const String &name, const String &nameMask, const String &dtype)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

TaQLNode | itsExpr
String | itsName
String | itsNameMask
String | itsDtype

## Detailed Description

Raw TaQL parse tree node defining a select column expression.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding a column expression in the column list of the select clause. A new column name and data type can be defined for the column (expression). The expression can be a wildcarded column name (a regex) preceeded by ~ or !~ (meaning include or exclude).

Definition at line 481 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLColNodeRep()

casacore::TaQLColNodeRep::TaQLColNodeRep | ( | const TaQLNode & | expr,
|  | const String & | name,
|  | const String & | nameMask,
|  | const String & | dtype )

References casacore::name().

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLColNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLColNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLColNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLColNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsDtype

String casacore::TaQLColNodeRep::itsDtype

Definition at line 494 of file TaQLNodeDer.h.

## itsExpr

TaQLNode casacore::TaQLColNodeRep::itsExpr

Definition at line 491 of file TaQLNodeDer.h.

## itsName

String casacore::TaQLColNodeRep::itsName

Definition at line 492 of file TaQLNodeDer.h.

## itsNameMask

String casacore::TaQLColNodeRep::itsNameMask

Definition at line 493 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h